Subject: bug#45082: closed (Re: bug#45082: Let's Encrypt certbot EOL for debbugs)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 21 Dec 2020 20:35:02 +0000

Your bug report

#45082: Let's Encrypt certbot EOL for debbugs

which was filed against the debbugs.gnu.org package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
45082: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=45082
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#45082: Let's Encrypt certbot EOL for debbugs
From: Bob Proulx <[email-masked]>
To: [email-masked]
Date: Mon, 21 Dec 2020 13:34:36 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Bob Proulx wrote:
> The current https certificate expires 29-Dec-2020 and so I will plan
> on having this switch accomplished prior to that certificate expiration.

I have updated the https certificate on debbugs.  Now expiring +3
months from now.  Since certbot is no longer supporting the older OS
on debbugs I switched it over to dehydrated which is more portable.
And simpler too.

Subject: Let's Encrypt certbot EOL for debbugs
From: Bob Proulx <[email-masked]>
To: [email-masked]
Date: Sun, 6 Dec 2020 14:07:55 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Package: debbugs.gnu.org

Today in the cron mail came this message.  We have reached the EOL end
of life for the EFF Certbot support on the debbugs host.

    Date: Sun, 06 Dec 2020 06:02:06 -0500
    From: Cron Daemon <[email-masked]>
    To: [email-masked]
    Subject: Cron <root@debbugs> /srv/letsencrypt/certbot-auto --quiet -n --apache renew

    Your system is not supported by certbot-auto anymore.
    Certbot will no longer receive updates.
    Please visit https://certbot.eff.org/ to check for other alternatives.
    Challenge failed for domain debbugs.gnu.org
    Attempting to renew cert (debbugs.gnu.org) from /etc/letsencrypt/renewal/debbugs.gnu.org.conf pr
    oduced an unexpected error: Some challenges have failed.. Skipping.
    All renewal attempts failed. The following certs could not be renewed:
      /etc/letsencrypt/live/debbugs.gnu.org/fullchain.pem (failure)
    1 renew failure(s), 0 parse failure(s)

It's time to upgrade.  I have switched my own systems to using the
"dehydrated" Let's Encrypt client.  It's very portable.  I have used
it on a variety of quite varied systems.  This will allow us to keep
using debbugs without problems.  We should get back to working on the
debbugs2p upgrade however.

The current https certificate expires 29-Dec-2020 and so I will plan
on having this switch accomplished prior to that certificate expiration.